
package com.lideeyunji.module.biz.enhance;



import com.lideeyunji.core.framework.config.aspect.enhance.model.EnhanceContext;
import com.lideeyunji.core.framework.config.aspect.enhance.model.EnhanceResult;
import com.lideeyunji.core.framework.config.aspect.enhance.plugin.AfterAdvicePlugin;
import com.lideeyunji.core.framework.utils.Func;

import java.util.List;
import java.util.Map;

/**
 * @author JX
 * @create 2024-08-19 15:05
 * @dedescription:
 */
public class LinClassEnhance implements AfterAdvicePlugin {
    @Override
    public void execute(EnhanceContext enhanceContext) {
        EnhanceResult result = enhanceContext.getResult();
        List<Map<String, Object>> records = result.getRecords();
        records.forEach(record -> {
            String njName = Func.getMap2Str(record, "nj_name");
            record.put("nj_name","class-24界"+njName);

        });
    }
}
